np([Def,3,Gen,Num],[Kas]) -->  % Pers 1,2: 
    pron([DefP],[Gen,Num,Kas]),% nicht im Lexikon
    { DefP = rel, Def = rel(Gen,Num) % Relativpronomen
    ; DefP = per, Def = def          % Personalpronomen 
    ; DefP = qu,  Def = qu }.    % Interrogativpronomen

np([def,3,Gen,Num],[Kas]) -->
    en([Gen],[Num,Kas]),
    ( s([rel(Gen,Num)],[_Temp,ind,vl]) ; [] ).  

np([def,3,Gen,Num],[Kas]) -->
    det([def],[Gen,Num,Kas]),
    ( n([Gen1],[Num,Kas]), {Gen = Gen1}
    ; [], {Gen = Gen2} ),
    en([Gen2],[Num,nom]),
    ( s([rel(Gen,Num)],[_Temp,ind,vl]) ; [] ).

np([Def,3,Gen,Num],[Kas]) -->
    det([DefQ],[Gen,Num,Kas]),
    { member(DefQ,[indef,def,qu]), Def = DefQ
    ; member(DefQ,[all,many,most]), Def = quant }, 
    n([Gen],[Num,Kas]),
    ( s([rel(Gen,Num)],[_Temp,ind,vl]) ; [] ).

np([Def,3,Gen,Num],[Kas]) -->
    det([DefQ],[Gen,Num,Kas]), 
    { member(DefQ,[indef,def,qu]), Def = DefQ
    ; member(DefQ,[all,many,most]), Def = quant }, 
    rn([Gen],[Num,Kas]),
    np([Def2,3,_Gen2,_Num2],[gen]), 
      { member(Def2,[def,indef]) },
    ( s([rel(Gen,Num)],[_Temp,ind,vl]) ; [] ).

np([def,3,Gen,Num],[Kas]) -->  
    poss([def(_Gen2,_Num2)],[Gen,Num,Kas]),
    rn([Gen],[Num,Kas]),
    ( s([rel(Gen,Num)],[_Temp,ind,vl]) ; [] ).

np([rel(Gen2,Num2),3,Gen,Num],[Kas]) -->
    poss([rel(Gen2,Num2)],[-,Num,-]),
    rn([Gen],[Num,Kas]),
    ( s([rel(Gen,Num)],[_Temp,ind,vl]) ; [] ).

np([qu,3,Gen,Num],[Kas]) -->
    poss([qu],[-,-,-]),
    rn([Gen],[Num,Kas]),
    ( s([rel(Gen,Num)],[_Temp,ind,vl]) ; [] ).

np([indef,3,Gen,pl],[Kas]) -->
    n([Gen],[pl,Kas]), { member(Kas,[nom,dat,akk]) }.

np([indef,3,Gen,pl],[Kas]) -->
    rn([Gen],[pl,Kas]), { member(Kas,[nom,dat,akk]) },
    np([Def2,3,_Gen2,_Num2],[gen]), 
    { member(Def2,[def,indef]) }.

np([Def,3,Gen,Num],[Kas]) -->
    pron([Def],[Gen,Num,Kas]),
    { (Def = refl ; Def = rezi) }.

np([def,3,-,pl],[Kas]) -->       % def = (-)?
    np([Def1,3,_Gen1,sg],[Kas]), % sg gegen Linksrekursion
    ([und] ; [oder]),
    np([Def2,3,_Gen2,_],[Kas]),
    { member(Def1,[indef,def,qu,quant]), 
      member(Def2,[indef,def,qu,quant]), 
     ((Def1 = qu ; Def2 = qu) -> Def1 = Def2 ; true) }.

np([quant,3,-,pl],[Kas]) -->
    det([more],[-,pl,-]),
    n([_Gen1],[pl,Kas]),
    [als],
    n([_Gen2],[pl,Kas]).

