:- style_check(-discontiguous).

:- ['Parser/tokenizer.mini.pl'],
   ['Parser/term_expansion.pl',
    'Grammatik/startsymbole.pl',
    'Grammatik/np.pl',
    'Grammatik/saetze.pl',
    'Grammatik/lexikon_detpron.pl',
    'Grammatik/lexikon_nomenverb.pl',   
    'Parser/showTree.pl',
    'Parser/dot.syntaxbaum.pl'].

bedienung :-
    (bedienfunktion, fail ; true). % weitere F. später

w(N,Atom) :-
    write(user,'\n'),tab(user,N), write(user,Atom).

bedienfunktion :-
    w(0,'--------------- Bedienfunktionen ---------------------'),
    w(0,'parse.  <Frage | Satz | Nominalphrase>. <Return>'),
    w(9,'Syntaxbaum als formatierter Text'),
    w(0,'parsed. <Frage | ..>. <Return>'),
    w(9,'Syntaxbaum graphisch (dot+gv; syntaxbaum.tmp.dot|ps)').

bedienfunktion :-
    w(0,'parses. <Frage | ..>. <Return>'),
    w(9,'Syntaxbaum mit Semantik, als formatierter Text').

bedienfunktion :-
    w(0,'parsesd. <Frage | ..>. <Return>'),
    w(9,'Syntaxbaum mit Semantik, graphisch').

bedienfunktion :-
    w(0,'parsest. <Frage | ..>. <Return>'),
    w(9,'Syntaxbaum mit getypter Semantik, formatierter Text').

bedienfunktion :-
    w(0,'parsestd. <Frage | ..>. <Return>'),
    w(9,'Syntaxbaum mit getypter Semantik, graphisch').

